Loading...
Searching...
No Matches
RDKit::SmilesWriteParams Struct Reference

`#include <SmilesWrite.h>`

## Public Attributes

bool | doIsomericSmiles
bool | doKekule = false
bool | canonical = true
bool | allBondsExplicit = false
bool | allHsExplicit = false
bool | doRandom = false
int | rootedAtAtom = -1

## Detailed Description

Definition at line 25 of file SmilesWrite.h.

## Member Data Documentation

## allBondsExplicit

bool RDKit::SmilesWriteParams::allBondsExplicit = false

include symbols for all bonds

Definition at line 33 of file SmilesWrite.h.

## allHsExplicit

bool RDKit::SmilesWriteParams::allHsExplicit = false

provide hydrogen counts for every atom

Definition at line 34 of file SmilesWrite.h.

## canonical

bool RDKit::SmilesWriteParams::canonical = true

generate canonical SMILES

Definition at line 32 of file SmilesWrite.h.

## doIsomericSmiles

bool RDKit::SmilesWriteParams::doIsomericSmiles

Initial value:
=
true

include stereochemistry and isotope information

Definition at line 26 of file SmilesWrite.h.

Referenced by RDKit::MolFragmentToCXSmiles(), RDKit::MolFragmentToSmiles(), RDKit::MolToCXSmiles(), and RDKit::MolToSmiles().

## doKekule

bool RDKit::SmilesWriteParams::doKekule = false

kekulize the molecule before generating the SMILES and output single/double bonds. NOTE that the output is not canonical and that this will thrown an exception if the molecule cannot be kekulized.

Definition at line 28 of file SmilesWrite.h.

## doRandom

bool RDKit::SmilesWriteParams::doRandom = false

randomize the output order. The resulting SMILES is not canonical

Definition at line 35 of file SmilesWrite.h.

## rootedAtAtom

int RDKit::SmilesWriteParams::rootedAtAtom = -1

make sure the SMILES starts at the specified atom. The resulting SMILES is not canonical

Definition at line 37 of file SmilesWrite.h.

The documentation for this struct was generated from the following file:

- SmilesWrite.h